edu.sc.seis.sod.process.waveform

## Class TransferResponse

- java.lang.Object
- - edu.sc.seis.sod.process.waveform.TransferResponse

- All Implemented Interfaces:
    WaveformProcess, SodElement, Subsetter, Threadable

      public class TransferResponse
      extends java.lang.Object
      implements WaveformProcess, Threadable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static float` | `DEFAULT_HIGH_CUT`
    `static float` | `DEFAULT_HIGH_PASS`
    `static float` | `DEFAULT_LOW_CUT`
    `static float` | `DEFAULT_LOW_PASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransferResponse(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WaveformResult` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms, CookieJar cookieJar)` Processes localSeismograms, possibly modifying them.
    `static edu.sc.seis.seisFile.sac.SacPoleZero` | `checkResponse(edu.iris.Fissures.network.ChannelImpl chan, NetworkSource na)`
    `boolean` | `isThreadSafe()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_LOW_CUT

          public static final float DEFAULT_LOW_CUT

      See Also:
        Constant Field Values

    - #### DEFAULT_LOW_PASS

          public static final float DEFAULT_LOW_PASS

      See Also:
        Constant Field Values

    - #### DEFAULT_HIGH_PASS

          public static final float DEFAULT_HIGH_PASS

      See Also:
        Constant Field Values

    - #### DEFAULT_HIGH_CUT

          public static final float DEFAULT_HIGH_CUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TransferResponse

          public TransferResponse(org.w3c.dom.Element config)
                           throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### accept

          public WaveformResult accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                       edu.iris.Fissures.network.ChannelImpl channel,
                                       edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original,
                                       edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available,
                                       edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms,
                                       CookieJar cookieJar)
                                throws java.lang.Exception

      Description copied from interface: `WaveformProcess`
      Processes localSeismograms, possibly modifying them.
      Specified by:
        `accept` in interface `WaveformProcess`
      Throws:
        `java.lang.Exception`

    - #### checkResponse

          public static edu.sc.seis.seisFile.sac.SacPoleZero checkResponse(edu.iris.Fissures.network.ChannelImpl chan,
                                                                           NetworkSource na)
                                                                    throws edu.sc.seis.fissuresUtil.sac.InvalidResponse,
                                                                           SodSourceException

      Throws:
        `edu.sc.seis.fissuresUtil.sac.InvalidResponse`
        `SodSourceException`

    - #### isThreadSafe

          public boolean isThreadSafe()

      Specified by:
        `isThreadSafe` in interface `Threadable`